package gov.va.med.esr.common.model.comms;

import gov.va.med.fw.model.AbstractKeyedEntity;

public class Directory extends AbstractKeyedEntity {
	
	private static final long serialVersionUID = -6712396040378523357L;
	
	private String inUseFlag = null;
	
	private String name = null;
	
	private ApplicationInfo applicationInfo = null;
	
	private MountPoint mountPoint = null;

	public ApplicationInfo getApplicationInfo() {
		return applicationInfo;
	}

	public void setApplicationInfo(ApplicationInfo applicationInfo) {
		this.applicationInfo = applicationInfo;
	}

	public String getInUseFlag() {
		return inUseFlag;
	}

	public void setInUseFlag(String inUseFlag) {
		this.inUseFlag = inUseFlag;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public MountPoint getMountPoint() {
		return mountPoint;
	}

	public void setMountPoint(MountPoint mountPoint) {
		this.mountPoint = mountPoint;
	}

}
